This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 804967

Summary: [abrt] kernel: [ INFO: possible recursive locking detected ]
Product: [Fedora] Fedora Reporter: Marian <corcodel.marian>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: gansalmon, itamar, jforbes, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:a54b71bd5eba292a5f880754bf214f08bd1ceadc alsa lockdep first=3.3 tested=3.4
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-12 12:33:10 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Marian 2012-03-20 06:43:57 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-0.rc3.git7.2.fc17.x86_64 root=/dev/mapper/vg-lv_root ro nomodeset rd.md=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.lvm.lv=vg/lv_root rd.luks=0 rd.lvm.lv=vg/lv_swap LANG=en_US.UTF-8 rhgb quiet
kernel:         3.3.0-0.rc3.git7.2.fc17.x86_64
reason:         [ INFO: possible recursive locking detected ]
time:           Tue 20 Mar 2012 09:26:09 AM EET

backtrace:
:[ INFO: possible recursive locking detected ]
:3.3.0-0.rc3.git7.2.fc17.x86_64 #1 Not tainted
:---------------------------------------------
:pulseaudio/1025 is trying to acquire lock:
: (&(&substream->self_group.lock)->rlock/1){......}, at: [<ffffffffa01b7093>] snd_pcm_action_group+0xa3/0x240 [snd_pcm]
:but task is already holding lock:
: (&(&substream->self_group.lock)->rlock/1){......}, at: [<ffffffffa01b7093>] snd_pcm_action_group+0xa3/0x240 [snd_pcm]
:other info that might help us debug this:
: Possible unsafe locking scenario:
:       CPU0
:       ----
:  lock(&(&substream->self_group.lock)->rlock/1);
:  lock(&(&substream->self_group.lock)->rlock/1);
: *** DEADLOCK ***
: May be due to missing lock nesting notation
:4 locks held by pulseaudio/1025:
: #0:  (snd_pcm_link_rwlock){.-....}, at: [<ffffffffa01b7e62>] snd_pcm_drop+0x62/0x110 [snd_pcm]
: #1:  (&(&substream->self_group.lock)->rlock){-.....}, at: [<ffffffffa01b7e6a>] snd_pcm_drop+0x6a/0x110 [snd_pcm]
: #2:  (&(&substream->group->lock)->rlock){......}, at: [<ffffffffa01b73ce>] snd_pcm_action+0x3e/0xb0 [snd_pcm]
: #3:  (&(&substream->self_group.lock)->rlock/1){......}, at: [<ffffffffa01b7093>] snd_pcm_action_group+0xa3/0x240 [snd_pcm]
:stack backtrace:
:Pid: 1025, comm: pulseaudio Not tainted 3.3.0-0.rc3.git7.2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff810cbffc>] __lock_acquire+0x160c/0x1ad0
: [<ffffffff810cad06>] ? __lock_acquire+0x316/0x1ad0
: [<ffffffff810ccb91>] lock_acquire+0xa1/0x1e0
: [<ffffffffa01b7093>] ? snd_pcm_action_group+0xa3/0x240 [snd_pcm]
: [<ffffffff8169d794>] _raw_spin_lock_nested+0x44/0x80
: [<ffffffffa01b7093>] ? snd_pcm_action_group+0xa3/0x240 [snd_pcm]
: [<ffffffffa01b7093>] snd_pcm_action_group+0xa3/0x240 [snd_pcm]
: [<ffffffffa01b7401>] snd_pcm_action+0x71/0xb0 [snd_pcm]
: [<ffffffffa01b745a>] snd_pcm_stop+0x1a/0x20 [snd_pcm]
: [<ffffffffa01b7e84>] snd_pcm_drop+0x84/0x110 [snd_pcm]
: [<ffffffffa01b9ba8>] snd_pcm_common_ioctl1+0x4a8/0xbe0 [snd_pcm]
: [<ffffffff810a2ca5>] ? sched_clock_local+0x25/0xa0
: [<ffffffffa01ba650>] snd_pcm_playback_ioctl1+0x60/0x2d0 [snd_pcm]
: [<ffffffff812c1e01>] ? file_has_perm+0xe1/0xf0
: [<ffffffffa01ba8f4>] snd_pcm_playback_ioctl+0x34/0x40 [snd_pcm]
: [<ffffffff811d0349>] do_vfs_ioctl+0x99/0x5a0
: [<ffffffff811d08e9>] sys_ioctl+0x99/0xa0
: [<ffffffff816a6f29>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 3750e604-d0dc-4a40-99e3-5cde533d864f
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4011.94
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) Dual  CPU  E2180  @ 2.00GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3935
:System Swap: 3167
:Vendor: System manufacturer
:System: P5K SE System Version
:Form factor: Desktop
:Kernel: 3.3.0-0.rc3.git7.2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:4163:33398) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:4163:33398) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(32902:10544:4163:33399) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10529:4163:33399) pci, ata_piix, STORAGE, 82801IB (ICH9) 2 port SATA IDE Controller
:(32902:10520:4163:33399) pci, None, PCI/ISA, 82801IB (ICH9) LPC Interface Controller
:(32902:10534:4163:33399) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(6505:4168:4163:33318) pci, atl1, ETHERNET, P5KPL-VM Motherboard
:(32902:10549:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:4163:33399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10553:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4523:24865:4163:33442) pci, pata_marvell, STORAGE, 88SE6121 SATA II Controller
:(32902:10560:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4163:33439) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4318:467:0:0) pci, nouveau, VIDEO, G72 [GeForce 7300 SE/7200 GS]
:(32902:10570:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(5110:273:5110:273) pci, snd_cmipci, MULTIMEDIA_AUDIO, CMI8738/C3DX PCI Audio Device
:(4354:7:4354:4106) pci, snd_ca0106, MULTIMEDIA_AUDIO, SB0570 [SB Audigy SE]
:(32902:10552:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 8975074 7975992 7886141 2252800 2148849 2148849
:/dev/sda2 /boot ext4 1024 1024 508745 456892 431292 128016 127785 127785
:/dev/mapper/vg-lv_home /home ext4 4096 4096 79969367 78711626 74708606 20021248 20020183 20020183
:
Comment 1 Marian 2012-03-20 07:12:42 EDT
After update to pulseaudio-1.1-8.fc17.x86_64 this bug may be closed.
Comment 2 Marian 2012-03-20 07:16:37 EDT
glibc vas update to 2.15-28.fc17.x86_64 too.
Comment 3 Dave Jones 2012-03-20 11:37:42 EDT
the bug is still there, the kernel just had debug turned off by default now.
(The kernel-debug flavour will still show this warning).
Comment 4 Marian 2012-03-21 05:52:36 EDT
My mistake this bug appear on dmesg.
Comment 5 Josh Boyer 2012-07-05 14:58:00 EDT
If you run the 3.4.x kernel-debug kernel, do you still see this?